---
sidebar_position: 5
description: Get chat members and other functions to work with VKTeams in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VKTeams]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chat members
 Gets the list of chat members



`Function GetChatMembers(Val Token, Val ChatID, Val Cursor = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | ChatID | --chatid | String, Number | &#x2714; | Chat ID |
  | Cursor | --cursor | String | &#x2716; | Next page marker from the previous request |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK Teams

:::tip
Method at API documentation: [GET /chats/getMembers](https://teams.vk.com/botapi/#/chats/get_chats_getMembers)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token  = "001.3501506236.091...";
    ChatID = "AoLI0egLWBSLR1Ngn2w";

    Result = OPI_VKTeams.GetChatMembers(Token, ChatID);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vkteams GetChatMembers \
             --token "***" \
             --chatid "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vkteams GetChatMembers ^
             --token "***" ^
             --chatid "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "members": [
  {
   "admin": true,
   "userId": "1011893356"
  },
  {
   "creator": true,
   "userId": "bayselonarrend@openintegrations.bizml.ru"
  },
  {
   "userId": "1011987091"
  }
 ],
 "ok": true
}
```
